package ec.app.regression.testcases;

public class R3Factory extends FunctionFactory {

	@Override
	protected int arity() {
		return 1;
	}

	@Override
	protected double function(final Double... x) {
		// return (x * x * x * x * x * x + x * x * x * x * x) / (x * x * x * x + x * x * x + x * x + x + 1);
		return (x[0] * x[0] * x[0] * x[0] * x[0] * (x[0] + 1)) / (x[0] * (x[0] * (x[0] * (x[0] + 1) + 1) + 1) + 1);
	}

	@Override
	public String getSymbolicRepresentation() {
		return "(x0 * x0 * x0 * x0 * x0 * (x0 + 1)) / (x0 * (x0 * (x0 * (x0 + 1) + 1) + 1) + 1)";
	}
}
